<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper
        PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN"
        "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.ruoyi.jjh.ent.mapper.JProjectMapper">

    <select id="page" resultType="com.ruoyi.jjh.ent.entity.JProject">
        select * from j_project
        <where>
            <if test="req.projectName != null and req.projectName != '' ">
                 and project_name like concat('%',#{req.projectName},'%')
            </if>
            <if test="req.projectClassify != null and req.projectClassify != '' ">
                and project_classify = #{req.projectClassify}
            </if>
            <if test="req.declareUnit != null and req.declareUnit != '' ">
                and declare_unit like concat('%',#{req.declareUnit},'%')
            </if>
            <if test="req.status != null and req.status != '' ">
                and status = #{req.status}
            </if>
            <if test="req.projectYear != null">
                and project_year = #{req.projectYear}
            </if>
        </where>
    </select>
</mapper>
